"use client";

import { useSearchParams, useRouter } from "next/navigation";
import { useEffect, Suspense } from "react";

function HomeContent() {
  const searchParams = useSearchParams();
  const router = useRouter();

  useEffect(() => {
    const url = searchParams.get("url");
    if (url) {
      router.replace(decodeURIComponent(url));
    } else if (!searchParams.toString()) {
      router.replace("/tab");
    }
  }, [searchParams, router]);

  return <div></div>;
}

export default function Home() {
  return (
    <Suspense fallback={<div>加载中...</div>}>
      <HomeContent />
    </Suspense>
  );
}
